2

CiviCRM_API3_Exception: "DB Error: constraint violation" I have fixed these problem by updating one by one from 5.14.1 to 5.19.1 but now I have got new problem :) In the new version I cant install/uninstall and update any extention. I got the following error on screen:

enter image description here

But I realised when I click back than is the update or install/uninstall is done. But everytime when I try I get the same error. Anybody who knows the reason of the error showing ?

  • 1
    Based on the other post there could be multiple problems, but if you have CiviCase enabled then this might be the same as lab.civicrm.org/dev/core/issues/329 which can happen if the site is non-english. If so, that will be fixed in 5.20. – Demerit Nov 19 '19 at 21:29
  • Hi Demerit. I use the system in Turkish language. I did the language in English, then I disabled CiviCase. Caches and Update Paths cleaned up. I received no errors when I update, uninstall, or install any plug-ins. Then the Turkish language investment. I didn't get the error again. Finally I've activated CiviCase. When I checked, I saw that the error continued in the same way. Is this a problem with the CiviCase? – Fatih ATEŞ Nov 20 '19 at 7:47
2

Following on from the comments:

Sorry I don't speak Turkish but I put your comment into Bing translate and the short answer is "yes". The error happens when you have changed a relationship type (which happens automatically if you change the language) and you're using CiviCase in non-english. So the temporary options are:

  • Disable civicase or only use english. (Not the best option.)
  • Put the relationship type back to the english version. (Also not good.)
  • If you don't have many relationships entered yet you can delete all the relationships, delete the relationship type and recreate a new one, then update your case types, then add your relationships again.
  • Wait until 5.20.
  • 1
    Sorry. As a result of a thoughtfulness I wrote in Turkish. I just updated the comment in English. :) – Fatih ATEŞ Nov 20 '19 at 7:50
  • There are over 400 thousand events. Updating them and using the language in English are not suitable for me. It's best to wait at 5.20. :) – Fatih ATEŞ Nov 20 '19 at 7:51
  • 1
    Did you try disabling the standard core case types? If you are lucky that might fix the immediate DB error showing up..... – ErikH - CiviCooP Nov 20 '19 at 8:17
  • Hi Erik. I made the language again in English to implement the proposal. Disable Medical Examination, Mental Health Examination, Safe Temporary Shelter, Income and Benefit Balance, Long Term Shelter Plan I have disabled the standardized case types. Other than these cannot be disabled already. Then I activated the CiviCase component. I did the Cleanup Caches and Update Paths and I got the same error when I tried. So did not solve the problem. So I get this error as long as CiviCase is active. – Fatih ATEŞ Nov 20 '19 at 9:22

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.